Bug 1272871 - NetworkManager-openvpn-gnome doesn't remember password settings when changed
NetworkManager-openvpn-gnome doesn't remember password settings when changed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 02:26 EDT by Jan Synacek
Modified: 2015-11-17 13:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:32:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Synacek 2015-10-19 02:26:35 EDT
Description of problem:
When I change the password setting from "Store the password for all users" to "Ask for this password every time", the setting is not saved.


Version-Release number of selected component (if applicable):
NetworkManager-openvpn-gnome.x86_64    1:1.0.6-3.fc23


Steps to Reproduce:
1. Create an openvpn type VPN connection.
2. Set Authentication Type to "Password".
3. Fill in a user name and leave the password field blank.
4. Leave the password setting as "Store the password for all users".
5. Save and close the window.
6. Go to VPN Settings of the created VPN.
7. Change the password setting to "Ask for this password every time".
8. Save and close the window.
9. Go to VPN Settings of the VPN, check the password setting.


Actual results:
Password setting is set to the old value.


Expected results:
When password setting is changed, the new value is remembered.
Comment 1 Jirka Klimes 2015-10-19 08:24:07 EDT
You can use nm-connection-editor that handles the password location correctly.

The gnome-control-center's network panel only seems to get the new values for password starage when something changes. So as a workaround you can type something to the password field and after that change the password setting to "Ask for this password".

Anyway, there is a related upstream bug that contains a commit fixing this issue (update to libnm-gtk).
https://bugzilla.gnome.org/show_bug.cgi?id=756638
Comment 2 Jan Synacek 2015-10-20 03:21:24 EDT
The workaround works fine, thank you.
Comment 3 Fedora Update System 2015-10-20 05:40:12 EDT
network-manager-applet-1.0.6-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d56b04fcdf
Comment 4 Fedora Update System 2015-10-20 17:57:38 EDT
network-manager-applet-1.0.6-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update network-manager-applet'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b46dce87d3
Comment 5 Fedora Update System 2015-10-26 14:31:47 EDT
network-manager-applet-1.0.6-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update network-manager-applet'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d56b04fcdf
Comment 6 Fedora Update System 2015-10-31 22:32:22 EDT
network-manager-applet-1.0.6-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-11-17 13:24:28 EST
network-manager-applet-1.0.6-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.